import request from "@/utils/request"

// 查询客户人员列表
export function getCustomerList(params){
    return request.get({
        url: '/crm/app/appCustomerIfno/pageList',
        data: params
    },{isTransformResponse: false})
}

// 查询系统推荐等级
export function getCustomerLevel(params){
    return request.get({
        url: '/crm/app/appCrmCusUserNewController/queryCustomerLevel',
        data: params
    },{isTransformResponse: false})
}
// 客户人员新增
export function saveappCrmCusUserNew(params){
    return request.get({
        url: '/crm/app/appCrmCusUserNewController/add',
        data: params
    },{isTransformResponse: false})
}
// 查询业务员名下所有的客户
export function SearchForAllCustomersSalesperson(params){
    return request.get({
        url: '/crm/app/appCrmCusUserNewController/SearchForAllCustomersSalesperson',
        data: params
    },{isTransformResponse: false})
}
// 客户人员归属审核详情
export function getCusUserApprovalListDetail(params){
    return request.get({
        url: '/crm/app/appCrmCusUserNewController/getCusUserApprovalListDetail',
        data: params
    },{isTransformResponse: false})
}
// 查询主归属人列表
export function SearchForAllPerson(params){
    return request.get({
        url: '/crm/app/appCrmCusUserNewController/SearchForAllPerson',
        data: params
    },{isTransformResponse: false})
}

// 客户人员新增审核列表
export　function　getCusUserApprovalList(params) {
    return request.get({
        url: '/crm/app/appCrmCusUserNewController/getCusUserApprovalList',
        data: params
        }, {isTransformResponse: false}
    )
}